Summary:	A graph based image processing framework
Name:		gegl
Version:	0.0.13
Release:	0.7.20071011svn%{?dist}
# The binary is under the GPL, while the libs are under LGPL
License:	LGPLv2+ and GPLv2+
Group:		System Environment/Libraries
URL:		http://www.gegl.org/
# Tarball generated from svn checkout on the date referenced in the spec
# 'Release' field. The tarball can be re-generated as follows;
#  svn co -r 1671 http://svn.gnome.org/svn/gegl/trunk/ gegl-svn20071011
#  tar -cjf gegl-svn20071011.tar.bz2 gegl-svn20071011
Source0:	%{name}-svn20071011.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	babl-devel gtk2-devel ruby
BuildRequires:	libpng-devel libjpeg-devel librsvg2-devel
BuildRequires:	perl-devel SDL-devel OpenEXR-devel
BuildRequires:	enscript w3m graphviz pkgconfig
#Requires these temporarily because of the use of the autogen script
BuildRequires:	autoconf automake libtool

%description
GEGL (Generic Graphics Library) is a graph based image processing framework. 
GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig babl-devel glib2-devel

%description devel
This package contains the libraries and header files needed for
developing with %{name}.

%prep
%setup -q -n %{name}-svn20071011
chmod -x operations/io/ff-load.c operations/render/perlin/perlin.c

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}
										
%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL='install -p'

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/gegl
%{_libdir}/*.so.*
%{_libdir}/gegl-1.0/

%files devel
%defattr(-, root, root, -)
%{_includedir}/gegl-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Oct 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.7.20071011svn
- Include missing requires for the devel subpackage

* Thu Oct 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.6.20071011svn
- BR graphiz instead of graphiz-devel
- Remove the spurious exec flag from a couple of source codes

* Tue Oct 23 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.5.20071011svn
- Fix missing directory ownership

* Mon Oct 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.4.20071011svn
- Update the License field 

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.3.20071011svn
- Package the extension libraries in the main package
- Run 'make check'

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.2.20071011svn
- Remove the use of inexistent source

* Thu Oct 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.1.20071011svn
- Initial packaging for Fedora
